# DMCompositeGetGlobalIndices

Gets the global indices for all the entries in the packed vectors.

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DMCompositeGetGlobalIndices(DMComposite packer,...)

Collective on DMComposite

### Input Parameter

packer -the packer object

### Output Parameters

idx -the individual indices for each packed vector/array. Note that this includes all the ghost points that individual ghosted DA's may have.

### Notes

The idx parameters should be freed by the calling routine with PetscFree()

### See Also

DMCompositeDestroy(), DMCompositeAddArray(), DMCompositeAddDA(), DMCompositeCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetAccess(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(),DMCompositeGetEntries()

Level:advanced
Location: src/dm/da/utils/pack.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages